#define RECTANGLE			1
#define CIRCLE				2
#define ELLIPSE				3
#define LINE				4
#define	SINGLECLICK			5
#define	NOSELECTOR			6
#define MYSELECTOR			7
#define FREEHAND			8
#define CONNECTED			9
#define LOOPCLICK			10
#define LOOPCLICK_PAINTER	11
#define	GRABBER				12


typedef struct _Current_State
{

	float			PointSize;
	int 			SelectorMode;
	rgb_color		LowColor;
	rgb_color		HighColor;
	font_info		*FontInfo;
	drawing_mode	DrawingMode;
	void	(*Drawer) (BView *,BPoint,BPoint);
	void			(*MySelector)();
	pattern			Pattern;
	void 			*CurrentBitmap;
	void			*CurrentView;
	void			*PrintingJob;
	void			*ProgressFunction;
	
	char			Name[255];
	char			Desc[255];
	char			Author[255];
	float			Version;
	char			UpdatePlugInInfo;
	
	char			*Parameters;
	char			UsingCommandLine;
	
	char			Error[255];
	char			HasError;

} Current_State;	

#define PLUGINS_DRAWER			1
#define PLUGINS_FILTER			2
#define PLUGINS_ATTRIBUTES		3
#define PLUGINS_LOADER			4
#define PLUGINS_SAVER			5
#define PLUGINS_SELECTOR		6
#define PLUGINS_NOSELECTION		7
#define PLUGINS_COPY			8
#define PLUGINS_PASTE			9
#define PLUGINS_NEWIMAGE		10
#define PLUGINS_PRINTER			11
