#include "BeatMap.h"
#include <View.h>

#pragma export on
void  OnClick(void *G);
int WhatPlugIn(void);
void End();
#pragma export reset

Current_State *CS;


int Uniform(int scale)
{ return rand() *scale;}

int Svdx[8],Svdy[8];
void MyDrawer(BView *BV,BPoint A, BPoint B)
{
	BPoint C;
	if(A!=B)
	for(int x=0;x<8;x++)
	{
		B.x=A.x-8+Uniform(255)%16;
		B.y=A.y-8+Uniform(255)%16;
		Svdx[x] = B.x;
		Svdy[x] = B.y;
		BV->StrokeLine(B,B);
	}
	else
	for(int x=0;x<8;x++)
	{
		B.x = Svdx[x];
		B.y = Svdy[x];
		BV->StrokeLine(B,B);
	}
	
}

void OnClick(void *G)
{
	CS					=	(Current_State *)G;
	CS->MySelector		=	NULL;
	CS->SelectorMode	=	LOOPCLICK;
	CS->Drawer			=	MyDrawer;
}

int WhatPlugIn(void)
{
	return PLUGINS_DRAWER;
}

void End()
{}